brlapi_writeArguments_t(3)

NAME
brlapi_writeArguments_t

SYNOPSIS

#include <brlapi.h>

  Data Fields

int displayNumber
unsigned int regionBegin
int regionSize
const char * text
int textSize
const unsigned char * andMask
const unsigned char * orMask
int cursor
const char * charset

Detailed Description

Structure containing arguments to be given to brlapi_write()

Field Documentation

  const unsigned char* brlapi_writeArguments_t::andMask
And attributes; applied first

  const char* brlapi_writeArguments_t::charset
Text charset. NULL means it is assumed to be 8bits, and the same as the server's. "" means current locale's charset. If no locale was selected, defaults to NULL's meaning.

  int brlapi_writeArguments_t::cursor
BRLAPI_CURSOR_LEAVE == don't touch, BRLAPI_CURSOR_OFF == turn off, 1 = 1st char of display, ...

  int brlapi_writeArguments_t::displayNumber
Display number BRLAPI_DISPLAY_DEFAULT == unspecified

  const unsigned char* brlapi_writeArguments_t::orMask
Or attributes; applied after ANDing

  unsigned int brlapi_writeArguments_t::regionBegin
Region of display to update, 1st character of display is 1, 1st character of the second line of display is the width of a line plus 1, etc. Regions are always a linear wrap over the different lines.

  int brlapi_writeArguments_t::regionSize
Number of characters held in andMask and orMask. If negative, its absolute value is taken into account, and the output is padded or truncated to fill the rest of the display.

  const char* brlapi_writeArguments_t::text
Text to display, must hold as many characters as the region fields expresses.

  int brlapi_writeArguments_t::textSize
Size of text in bytes. If -1, strlen() is used for computing it.

Author

Generated automatically by Doxygen for BrlAPI from the source code.